<<

# Bugzilla::WebService::Bugzilla

- NAME
- DESCRIPTION
- METHODS
  - version
  - extensions
  - timezone
  - time
  - parameters
  - last_audit_time

# NAME

Bugzilla::WebService::Bugzilla - Global functions for the webservice interface.

# DESCRIPTION

This provides functions that tell you about Bugzilla in general.

# METHODS

See Bugzilla::WebService for a description of how parameters are passed, and what STABLE, UNSTABLE, and EXPERIMENTAL mean.

## version

STABLE

Description

  Returns the current version of Bugzilla.

Params (none)
Returns

  A hash with a single item, `version`, that is the version as a string.

Errors (none)

## extensions

EXPERIMENTAL

Description

  Gets information about the extensions that are currently installed and enabled in this Bugzilla.

Params (none)
Returns

  A hash with a single item, `extensions`. This points to a hash. That hash contains the names of extensions as keys, and the values are a hash. That hash contains a single key `version`, which is the version of the extension, or `0` if the extension hasn't defined a version.

  The return value looks something like this:

       extensions => {
           Example => {
               version => '3.6',
           },
           BmpConvert => {
               version => '1.0',
           },
       }

History
  Added in Bugzilla 3.2.
  As of Bugzilla 3.6, the names of extensions are canonical names that the extensions define themselves. Before 3.6, the names of the extensions depended on the directory they were in on the Bugzilla server.

## timezone

DEPRECATED This method may be removed in a future version of Bugzilla. Use "time" instead.

Description

  Returns the timezone that Bugzilla expects dates and times in.

Params (none)
Returns

  A hash with a single item, `timezone`, that is the timezone offset as a string in (+/-)XXXX (RFC 2822) format.

History
  As of Bugzilla 3.6, the timezone returned is always `+0000` (the UTC timezone).

## time

STABLE

Description

  Gets information about what time the Bugzilla server thinks it is, and what timezone it's running in.

Params (none)
Returns

  A struct with the following items:

  `db_time`

    `dateTime` The current time in UTC, according to the Bugzilla database server.

    Note that Bugzilla assumes that the database and the webserver are running in the same time zone. However, if the web server and the database server aren't synchronized for some reason, this is the time that you should rely on for doing searches and other input to the WebService.

  `web_time`

    `dateTime` This is the current time in UTC, according to Bugzilla's web server.

    This might be different by a second from `db_time` since this comes from a different source. If it's any more different than a second, then there is likely some problem with this Bugzilla instance. In this case you should rely on the `db_time`, not the `web_time`.

  `web_time_utc`

    Identical to `web_time`. (Exists only for backwards-compatibility with versions of Bugzilla before 3.6.)

  `tz_name`

    `string` The literal string `UTC`. (Exists only for backwards-compatibility with versions of Bugzilla before 3.6.)

  `tz_short_name`

    `string` The literal string `UTC`. (Exists only for backwards-compatibility with versions of Bugzilla before 3.6.)

  `tz_offset`

    `string` The literal string `+0000`. (Exists only for backwards-compatibility with versions of Bugzilla before 3.6.)

History
  Added in Bugzilla 3.4.
  As of Bugzilla 3.6, this method returns all data as though the server were in the UTC timezone, instead of returning information in the server's local timezone.

## parameters

UNSTABLE

Description

  Returns parameter values currently used in this Bugzilla.

Params (none)
Returns

  A hash with a single item `parameters` which contains a hash with the name of the parameters as keys and their value as values. All values are returned as strings. The list of parameters returned by this method depends on the user credentials:

  A logged-out user can only access the `maintainer` and `requirelogin` parameters.

  A logged-in user can access the following parameters (listed alphabetically): `allowemailchange`, `attachment_base`, `commentonchange_resolution`, `commentonduplicate`, `cookiepath`, `defaultopsys`, `defaultplatform`, `defaultpriority`, `defaultseverity`, `duplicate_or_move_bug_status`, `emailregexpdesc`, `emailsuffix`, `letsubmitterchoosemilestone`, `letsubmitterchoosepriority`, `mailfrom`, `maintainer`, `maxattachmentsize`, `maxlocalattachment`, `musthavemilestoneonaccept`, `noresolveonopenblockers`, `password_complexity`, `rememberlogin`, `requirelogin`, `search_allow_no_criteria`, `urlbase`, `use_see_also`, `useclassification`, `usemenuforusers`, `useqacontact`, `usestatuswhiteboard`, `usetargetmilestone`.

  A user in the tweakparams group can access all existing parameters. New parameters can appear or obsolete parameters can disappear depending on the version of Bugzilla and on extensions being installed. The list of parameters returned by this method is not stable and will never be stable.

History
  Added in Bugzilla 4.4.

## last_audit_time

EXPERIMENTAL

Description

  Gets the latest time of the audit_log table.

Params

  You can pass the optional parameter `class` to get the maximum for only the listed classes.

  `class` (array) - An array of strings representing the class names.

    Note: The class names are defined as "Bugzilla::<class_name>". For the product use Bugzilla:Product.

Returns

  A hash with a single item, `last_audit_time`, that is the maximum of the at_time from the audit_log.

Errors (none)
History
  Added in Bugzilla 4.4.

<<